Skip to main content
GET
List Aggregate Allocation Series

Authorizations

Authorization
string
header
required

Query Parameters

external_id
string[] | null

External ids of the aggregate allocations to read.

Maximum array length: 500
area
string[] | null

Areas to read, each one as kind:code, where kind is one of metering_grid_area, control_area or scheduling_area, for example scheduling_area:10YDE-RWENET---I. Omit this parameter to read every area.

Maximum array length: 500
flow_direction
enum<string>[] | null

Flow directions to read. Omit to read both.

Available options:
consumption,
production
balance_group
string[] | null

Balance groups to read. Omit to read every group.

Maximum array length: 500
supplier
string[] | null

Suppliers to read. Omit to read every supplier.

Maximum array length: 500
aggregator
enum<string>[] | null

Aggregator roles to read. Omit to read every role.

Available aggregator roles

  • grid_operator — Indicates the source of the aggregation is a grid operator.

  • transmission_operator — Indicates the source of the aggregation is a transmission system operator.

Available options:
grid_operator,
transmission_operator
allocation_basis
enum<string>[] | null

Allocation bases to read. Omit to read every basis.

The basis tells you where the energy data for an aggregation is coming from: Is it directly metered values from smart meters, or is it something calculated from some standard profile?

Available allocation bases

  • metered — Indicates this aggregation's data comes from directly metered energy, like from smart meters.

  • profiled — Indicates this aggregation's data is coming from a 'profile' of some kind, a pre-determined shape of consumption or production, usually coupled with some adjustment calculations, like adjusting for daily temperature or past annual metered consumption.

Available options:
metered,
profiled
market_dimension
string[] | null

Market dimensions to filter by, as key:value. A market dimension is the market's own key and code on which it divides accounting points, for example series_type:SLS. An aggregate allocation matches when it carries every pair. See Market dimensions and metadata in each market for the keys of each market.

Maximum array length: 500
market_meta
string[] | null

Market metadata to filter by, as key:value, for example summed_series:ZA0. Market-specific metadata distinguishes aggregate allocations with the same aggregation dimensions, for example those sent at different cadences (daily, monthly). An aggregate allocation matches when its market metadata contains every pair. See Market dimensions and metadata in each market for the keys of each market.

Maximum array length: 500
offset
integer
default:0

The position of the first aggregate allocation of the page in the list. The first aggregate allocation in the list has the position 0.

Required range: 0 <= x <= 9223372036854776000
limit
integer
default:100

The maximum number of aggregate allocations on the page.

Required range: 1 <= x <= 1000

Response

Successful Response

items
AggregateAllocation · object[]
required
limit
integer
required
offset
integer
required
total
integer
required

The number of aggregate allocations that agree with the filters, on all pages.